package es.cipfpbatoi.dao;
// Generated 16-abr-2020 12:36:13 by Hibernate Tools 4.3.1

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.*;

/**
 * Empleado generated by hbm2java
 */
@Entity
public class Empleado implements java.io.Serializable {

    @Id
    @GeneratedValue
    private Integer id;
    
    private Departamento departamento;
    private String nombre;
    private Set empleadosForEmpleadoId = new HashSet(0);
    private Set empleadosForEmpleadoId1 = new HashSet(0);

    public Empleado() {
    } 

    public Empleado(Departamento departamento) {
        this.departamento = departamento;
    }

    public Empleado(Departamento departamento, String nombre, Set empleadosForEmpleadoId, Set empleadosForEmpleadoId1) {
        this.departamento = departamento;
        this.nombre = nombre;
        this.empleadosForEmpleadoId = empleadosForEmpleadoId;
        this.empleadosForEmpleadoId1 = empleadosForEmpleadoId1;
    }

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Departamento getDepartamento() {
        return this.departamento;
    }

    public void setDepartamento(Departamento departamento) {
        this.departamento = departamento;
    }

    public String getNombre() {
        return this.nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public Set getEmpleadosForEmpleadoId() {
        return this.empleadosForEmpleadoId;
    }

    public void setEmpleadosForEmpleadoId(Set empleadosForEmpleadoId) {
        this.empleadosForEmpleadoId = empleadosForEmpleadoId;
    }

    public Set getEmpleadosForEmpleadoId1() {
        return this.empleadosForEmpleadoId1;
    }

    public void setEmpleadosForEmpleadoId1(Set empleadosForEmpleadoId1) {
        this.empleadosForEmpleadoId1 = empleadosForEmpleadoId1;
    }

    @Override
    public String toString() {
        return "Empleado{" + "id=" + id + ", departamento=" + departamento + ", nombre=" + nombre + ", empleadosForEmpleadoId=" + empleadosForEmpleadoId + ", empleadosForEmpleadoId1=" + empleadosForEmpleadoId1 + '}';
    }

}
